Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.riff
Class RIFFChunk

    java.lang.Object
      org.monte.media.riff.RIFFChunk

    public class RIFFChunk

extends java.lang.Object

RIFF Chunks form the building blocks of a RIFF file.

Version:
  $Id: RIFFChunk.java 186 2012-03-28 11:18:42Z werner $
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Constructor Summary
`RIFFChunk(int type, int id)`
`RIFFChunk(int type, int id, long size, long scan)`
`RIFFChunk(int type, int id, long size, long scan, RIFFChunk propGroup)`

Method Summary
`void` | `addCollectionChunk(RIFFChunk chunk)`
`java.util.Iterator` | `collectionChunks()`
`boolean` | `equals(java.lang.Object another)`
`RIFFChunk[]` | `getCollectionChunks(int id)`
`byte[]` | `getData()` Gets the data.
`int` | `getID()`
`java.lang.String` | `getParserMessage()`
`RIFFChunk` | `getPropertyChunk(int id)`
`long` | `getScan()`
`long` | `getSize()`
`int` | `getType()`
`int` | `hashCode()`
`java.util.Enumeration` | `propertyChunks()`
`void` | `putPropertyChunk(RIFFChunk chunk)`
`void` | `setData(byte[] data)` Sets the data.
`void` | `setParserMessage(java.lang.String newValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RIFFChunk

    public RIFFChunk(int type,
                     int id)

### RIFFChunk

    public RIFFChunk(int type,
                     int id,
                     long size,
                     long scan)

### RIFFChunk

    public RIFFChunk(int type,
                     int id,
                     long size,
                     long scan,
                     RIFFChunk propGroup)

Method Detail

### getID

    public int getID()

  Returns:
    ID of chunk.

### getType

    public int getType()

  Returns:
    Type of chunk.

### getSize

    public long getSize()

  Returns:
    Size of chunk.

### getScan

    public long getScan()

  Returns:
    Scan position of chunk within the file.

### putPropertyChunk

    public void putPropertyChunk(RIFFChunk chunk)

### getPropertyChunk

    public RIFFChunk getPropertyChunk(int id)

### propertyChunks

    public java.util.Enumeration propertyChunks()

### addCollectionChunk

    public void addCollectionChunk(RIFFChunk chunk)

### getCollectionChunks

    public RIFFChunk[] getCollectionChunks(int id)

### collectionChunks

    public java.util.Iterator collectionChunks()

### setData

    public void setData(byte[] data)

  Sets the data. Note: The array will not be cloned.

### getData

    public byte[] getData()

  Gets the data. Note: The array will not be cloned.

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setParserMessage

    public void setParserMessage(java.lang.String newValue)

### getParserMessage

    public java.lang.String getParserMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD